---
apiVersion: v1
kind: ServiceAccount
metadata:
  name: ansible-job-creator-sa
  namespace: exam-portal
---
apiVersion: rbac.authorization.k8s.io/v1
kind: Role
metadata:
  name: ansible-job-creator-role
  namespace: exam-portal
rules:
- apiGroups: [ "batch" ]
  resources: [ "jobs" ]
  verbs: [ "create", "get", "list", "watch", "delete", "update", "patch" ]
---
apiVersion: rbac.authorization.k8s.io/v1
kind: RoleBinding
metadata:
  name: ansible-job-creator-rolebinding
  namespace: exam-portal
subjects:
- kind: ServiceAccount
  name: ansible-job-creator-sa
  namespace: exam-portal
roleRef:
  kind: Role
  name: ansible-job-creator-role
  apiGroup: rbac.authorization.k8s.io
